For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Tasks
      • GETRetrieve Task
      • PUTUpdate Task
      • DELDelete Task
      • GETFetch the first level child tasks from the task
      • POSTCreate Task
      • GETRetrieve Task Priorities
      • POSTCreate Many Tasks
      • POSTAdd Parent Task
      • PUTUpdate Parent Task
      • DELRemove Parent Task
      • PUTUpdate the approval status of a Task.
      • POSTMark task as read for the current user
      • GETPlanned allocations and actual timesheet minutes for a task, grouped by resource.
LogoLogo
SupportContact salesStart free trial
API ReferenceTask

Delete Task

DELETE
https://api.projectmanager.com/api/data/tasks/:taskId
DELETE
/api/data/tasks/:taskId
$curl -X DELETE https://api.projectmanager.com/api/data/tasks/taskId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "changeSetId": "string",
15 "id": "string"
16 }
17}
Delete an existing Task. A Task is an individual element of work that must be performed to complete a Project. A Task can have one or more Resources assigned to it. Tasks can be linked to other Tasks to indicate whether they have a dependency or a connection. Multiple users can be working on data at the same time. When you call an API to update an object, this call is converted into a Changeset that is then applied sequentially. You can use RetrieveChangeset to see the status of an individual Changeset.
Was this page helpful?
Previous

Fetch the first level child tasks from the task

Next
Built with
Delete an existing Task. A Task is an individual element of work that must be performed to complete a Project. A Task can have one or more Resources assigned to it. Tasks can be linked to other Tasks to indicate whether they have a dependency or a connection. Multiple users can be working on data at the same time. When you call an API to update an object, this call is converted into a Changeset that is then applied sequentially. You can use RetrieveChangeset to see the status of an individual Changeset.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
Unique identifier of the Task to delete

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Returns the id of a specific ChangeSet